Scale of Tubes ... How to get Blue Selected
-
Hi Larry,
The Dynamic Components dialog in the Pro version allows a user to limit the scaling.
A plugin could be made to set the scale mask, although one does not exist currently. In the meantime, you can try the following code snippets in the Ruby Console.
To limit the scaling to the Blue Axis:
Select a Group, and enter:
Sketchup.active_model.selection[0].entities[0].parent.behavior.no_scale_mask=251
Or select an Instance:
Sketchup.active_model.selection[0].definition.behavior.no_scale_mask=251
-
Just curious, since this is only availbe in the DC dialog, are people unaware of this ability?
-
But native SU Scale tool does this? I think i missed the point
-
Thanks. I am not using PRO.
In case my question was not clear ...
I know how to scale Blue-Opposite. The problem is that when scaling long tubes (e.g. wires), the circumference is so tiny compared to the length of the tube that I have to do massive zooming just to be able and have my mouse movement select Blue-Opposite. I spend a lot of time trying to get the mouse to highlite Blue-Opposite as opposed to all the other scale options that pop-up as the mouse moves over the teeny-tiny end of the long tube. Of course zooming always works, but I spend so much time zooming and then unzooming on that tiny circle at the end of any tube.
Not sure how to do the RUBY code, though it looks like it could help. I'm a programmer, so curious to try it.
THanks
-
Yeah.
-
Sorry Jim, now i understand. It ONLY scales the Blue, very useful. But how?
-
@unknownuser said:
Sorry Jim, now i understand. It ONLY scales the Blue, very useful. But how?
Yes, sorry. It is something which can be set via the Ruby API, so a plugin could be made. (I have a rudimentary one, but it's too ugly to release. See image.)
-
Presumably you could use the API methods http://code.google.com/apis/sketchup/docs/ourdoc/behavior.html#no_scale_mask? to temporarily set the possible scaling-ways of a definition, and then set them back afterwards...
-
have you tried stretching with fredoscale instead? theres only one control point to find that way.
-
hi,
may be you could draw just axis lines, let say a wireframe and then convert to tube with:
http://forums.sketchucation.com/viewtopic.php?t=12354 line2 tube.
just idea. -
Hi folks.
You can also use a Zoom Window to get real fast close to the cable end.
You can also make a scene showing all cables and their surrounding. You do this only once.
Then, clicking on this scene's tab would quickly get you to the big picture.
Of course, you can also use the Move Tool to stretch a cable after grabbing its end.
Just ideas.
Advertisement